Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 712172 - www-client/otter[webkit] depends on deprecated dev-qt/qtwebkit:5
Summary: www-client/otter[webkit] depends on deprecated dev-qt/qtwebkit:5
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Jeroen Roovers (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: qtwebkit-removal
  Show dependency tree
 
Reported: 2020-03-11 17:36 UTC by Andreas Sturmlechner
Modified: 2020-11-05 17:59 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2020-03-11 17:36:07 UTC
We just bumped to upstream's latest alpha release but that must not distract from their staunch warning:

"WARNING: This release is based on old WebKit revision with known unpatched vulnerabilities. Please use it carefully and avoid visiting untrusted websites and using it for transmission of sensitive data. Please wait for new release from qtwebkit-dev branch to use it with untrusted content."

See also: https://github.com/qtwebkit/qtwebkit/releases
Comment 1 Larry the Git Cow gentoo-dev 2020-08-10 17:09:33 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0887cc03be7e334a3f542c8074dca4d0c4fbfea7

commit 0887cc03be7e334a3f542c8074dca4d0c4fbfea7
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-08-10 17:05:51 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-08-10 17:09:30 +0000

    www-client/otter: Drop support for dev-qt/qtwebkit
    
    - Add upstream patch for qtgui 5.15.0
    - Drop USE="webengine webkit" and use only dev-qt/qtwebengine
    - EAPI=7
    - cmake-utils.eclass => cmake.eclass
    
    Package-Manager: Portage-3.0.2, Repoman-2.3.23
    Closes: https://bugs.gentoo.org/649170
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=712172
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 .../otter/files/otter-1.0.01-qtgui-5.15.0.patch    | 10 +++
 .../otter/files/otter-1.0.01-webengine.patch       | 11 +++
 www-client/otter/otter-1.0.01-r1.ebuild            | 85 ++++++++++++++++++++++
 www-client/otter/otter-9999.ebuild                 | 24 ++++--
 4 files changed, 124 insertions(+), 6 deletions(-)
Comment 2 Larry the Git Cow gentoo-dev 2020-11-05 17:59:37 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0a2e5c48dc8634156add7e3fae9d2ac40eead369

commit 0a2e5c48dc8634156add7e3fae9d2ac40eead369
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2020-11-05 12:03:25 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-11-05 17:57:26 +0000

    www-client/otter: Finally drop 10.0.01 (r0)
    
    Bug: https://bugs.gentoo.org/712172
    Bug: https://bugs.gentoo.org/649170
    Package-Manager: Portage-3.0.9, Repoman-3.0.2
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 www-client/otter/metadata.xml        | 11 ++---
 www-client/otter/otter-1.0.01.ebuild | 85 ------------------------------------
 2 files changed, 4 insertions(+), 92 deletions(-)